Bug 22389 - Classification splitting sources regex - cannot consistentlyadd/delete
Summary: Classification splitting sources regex - cannot consistentlyadd/delete
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 15836
Blocks:
  Show dependency treegraph
 
Reported: 2019-02-21 15:23 UTC by Nick Clemens
Modified: 2019-05-27 12:28 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22389: (bug 15836 follow-up) Add Delete regex links on creating splitting source (1.57 KB, patch)
2019-02-21 16:45 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22389: (bug 15836 follow-up) Add Delete regex links on creating splitting source (1.62 KB, patch)
2019-02-21 17:08 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2019-02-21 15:23:41 UTC
On initial creation/save you do not have a delete button

if you save and reopen then you do have a delete, but if you delete all expression you cannot add a new one
Comment 1 Jonathan Druart 2019-02-21 16:45:27 UTC
Created attachment 85457 [details] [review]
Bug 22389: (bug 15836 follow-up) Add Delete regex links on creating splitting source

The "Delete" link does not exist when the form is empty.

Test plan:
Create a new classification splitting source
Select "Regex" for routine
=> The delete link does not appear (you cannot remove if there is only
one input)
=> It a regex
=> The 2 delete links appear
Comment 2 Nick Clemens 2019-02-21 17:08:26 UTC
Created attachment 85467 [details] [review]
Bug 22389: (bug 15836 follow-up) Add Delete regex links on creating splitting source

The "Delete" link does not exist when the form is empty.

Test plan:
Create a new classification splitting source
Select "Regex" for routine
=> The delete link does not appear (you cannot remove if there is only
one input)
=> It a regex
=> The 2 delete links appear

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 3 Nick Clemens 2019-02-22 15:26:50 UTC
Small fix, passing QA
Comment 4 Nick Clemens 2019-02-22 15:27:16 UTC
Awesome work all!

Pushed to master for 19.05
Comment 5 Martin Renvoize 2019-02-26 09:20:17 UTC
Pushed to 18.11.x for 18.11.04
Comment 6 Lucas Gass 2019-03-06 23:24:07 UTC
18.05.x is missing the 15836 dependency, won't backport